RubyMotion-Converser
=================

Allows RubyMotion projects to easily embed the Converser SDK.

## Requirements

- RubyMotion 1.0 or greater (see http://www.rubymotion.com).


## Setup

1. Download the Converser SDK from http://converser.io/downloads/ and copy the `ios-converser-sdk` folder into `vendor` directory (or alternatively just create a symbolic link). Create the `vendor` directory if it does not exist. You should have something like this.
```
$ ls vendor/ios-converser-sdk
/ConverserResources/ libVGConversationKit_universal.a  include/
```

2. Edit the `Rakefile` of your RubyMotion project and add the following require lines.
```ruby
require 'rubygems'
require 'motion-converser'
```

3. Still in the `Rakefile`, set up the `app_api_key`, `server_url` and `framework` variables in your application configuration block. 
```ruby
Motion::Project::App.setup do |app|
  # ...
  app.converser.framework = 'vendor/ios-converser-sdk'
  app.converser.app_api_key = 'APP API KEY'
  app.converser.server_url = 'SERVER URL'
end
```

4. The `ConverserEngine` singleton is available from any class in your application. You access this singleton by calling the `ConverserEngine.instance` method.

5. See included sample-app for further information.
